VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::ElementMap Class Reference

The `ElementMap` class contains the metadata elements. More...

List of all members.

## Public Member Functions
| ElementMap ()
| Creates a default new instance.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ElementValue > | GetElements ()
| Metamodel information of the metadata elements.
void | SetElements (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementValue > elements)
| Metamodel information of the metadata elements.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ElementMap` class contains the metadata elements.

One of the sources for metadata is the annotations present in the interface definition language. When an annotation is represented in the `ElementMap` , `ElementMap` describes the data specified in the arguments for the annotation.

For example, in `(tag="tag", value="SELECT")` , ElementMap describes the keyword arguments tag and value.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::ElementMap::ElementMap | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::ElementMap::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::ElementMap::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::ElementMap::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::ElementMap::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::ElementMap::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::ElementMap::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ElementValue> vmware::vapi::metadata::metamodel::ElementMap::GetElements | ( |  | ) | `[inline]`

Metamodel information of the metadata elements.

The key parameter of the map is the identifier for the element and the value corresponds to the element value.

override int vmware::vapi::metadata::metamodel::ElementMap::GetHashCode | ( |  | ) | `[inline]`

void vmware::vapi::metadata::metamodel::ElementMap::SetElements | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementValue > | elements | ) | `[inline]`

Metamodel information of the metadata elements.

The key parameter of the map is the identifier for the element and the value corresponds to the element value.

override string vmware::vapi::metadata::metamodel::ElementMap::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ElementMap.cs